Bug 146152 - /usr/sbin/ptal-init references /etc/modules.conf, needs to reference /etc/modprobe.conf for 2.6 kernel
/usr/sbin/ptal-init references /etc/modules.conf, needs to reference /etc/mod...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: hpoj (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-25 13:24 EST by Paul F. Almquist
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 08:41:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul F. Almquist 2005-01-25 13:24:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
/usr/sbin/ptal-init, a perl script, references hard coded file name
"/etc/modules.conf".  It needs to reference /etc/modprobe.conf for 2.6
kernel.  Perhaps set a variable to the proper name based on the kernel
in use and reference the variable instead of using a literal value.

/etc/modules.conf appears in 4 places (3 in code, 1 in a comment)

This will bite someone some day but I did not encounter a problem with
this as it appears to be related to USB devices only.  My OfficeJet
R40 is a parallel port only device.

This script needs a lot more comments to document what is going on. 
It does not seem to be well organized.  Lot of little subs.  Lack of
precision in names of some subs also.

Printing was working ok but xsane would not recognize the R40 scanner
until after I installed libsane-hpoj-0.91-9.i386.rpm and ran "service
hpoj setup"

Version-Release number of selected component (if applicable):
hpoj-0.91-9

How reproducible:
Always

Steps to Reproduce:
1. read the script
2.
3.
    

Actual Results:  script will fail when running on 2.6 kernel when
effected subs are called due to incorrent file name.

Additional info:
Comment 1 Matthew Miller 2006-07-10 16:41:13 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Tim Waugh 2006-07-11 08:41:28 EDT
That script is no longer shipped in FC5 since the HPLIP update.

Note You need to log in before you can comment on or make changes to this bug.